Name:           python-fieldedge-utilities
Version:        0.31.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Utilities package for the FieldEdge project.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/inmarsat-enterprise/fieldedge-utilities
Source:         %{pypi_source fieldedge_utilities}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'fieldedge-utilities' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-fieldedge-utilities
Summary:        %{summary}

%description -n python3-fieldedge-utilities %_description


%prep
%autosetup -p1 -n fieldedge_utilities-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-fieldedge-utilities -f %{pyproject_files}


%changelog
%autochangelog